<div>
  <h2 id="page-heading" data-cy="OrderNotarisHeading">
    <span>Order Notarises</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span>Refresh list</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-order-notaris"
        [routerLink]="['/order-notaris/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span>Create a new Order Notaris</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  @if (orderNotarises?.length === 0) {
    <div class="alert alert-warning" id="no-result">
      <span>No Order Notarises found</span>
    </div>
  }

  @if (orderNotarises && orderNotarises.length > 0) {
    <div class="table-responsive table-entities" id="entities">
      <table class="table table-striped" aria-describedby="page-heading">
        <thead>
          <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
            <th scope="col" jhiSortBy="id">
              <div class="d-flex">
                <span>ID</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="tanggal">
              <div class="d-flex">
                <span>Tanggal</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="status">
              <div class="d-flex">
                <span>Status</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="orderData.id">
              <div class="d-flex">
                <span>Order Data</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="notaris.id">
              <div class="d-flex">
                <span>Notaris</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="akta.id">
              <div class="d-flex">
                <span>Akta</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="orderKerja.id">
              <div class="d-flex">
                <span>Order Kerja</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col"></th>
          </tr>
        </thead>
        <tbody>
          @for (orderNotaris of orderNotarises; track trackId) {
            <tr data-cy="entityTable">
              <td>
                <a [routerLink]="['/order-notaris', orderNotaris.id, 'view']">{{ orderNotaris.id }}</a>
              </td>
              <td>{{ orderNotaris.tanggal | formatMediumDate }}</td>
              <td>{{ orderNotaris.status }}</td>
              <td>
                @if (orderNotaris.orderData) {
                  <div>
                    <a [routerLink]="['/order-data', orderNotaris.orderData.id, 'view']">{{ orderNotaris.orderData.id }}</a>
                  </div>
                }
              </td>
              <td>
                @if (orderNotaris.notaris) {
                  <div>
                    <a [routerLink]="['/notaris', orderNotaris.notaris.id, 'view']">{{ orderNotaris.notaris.id }}</a>
                  </div>
                }
              </td>
              <td>
                @if (orderNotaris.akta) {
                  <div>
                    <a [routerLink]="['/akta', orderNotaris.akta.id, 'view']">{{ orderNotaris.akta.id }}</a>
                  </div>
                }
              </td>
              <td>
                @if (orderNotaris.orderKerja) {
                  <div>
                    <a [routerLink]="['/order-kerja', orderNotaris.orderKerja.id, 'view']">{{ orderNotaris.orderKerja.id }}</a>
                  </div>
                }
              </td>
              <td class="text-end">
                <div class="btn-group">
                  <a [routerLink]="['/order-notaris', orderNotaris.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                    <fa-icon icon="eye"></fa-icon>
                    <span class="d-none d-md-inline">View</span>
                  </a>

                  <a [routerLink]="['/order-notaris', orderNotaris.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                    <fa-icon icon="pencil-alt"></fa-icon>
                    <span class="d-none d-md-inline">Edit</span>
                  </a>

                  <button type="submit" (click)="delete(orderNotaris)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                    <fa-icon icon="times"></fa-icon>
                    <span class="d-none d-md-inline">Delete</span>
                  </button>
                </div>
              </td>
            </tr>
          }
        </tbody>
      </table>
    </div>
  }
  @if (orderNotarises && orderNotarises.length > 0) {
    <div>
      <div class="d-flex justify-content-center">
        <jhi-item-count [params]="{ page: page, totalItems: totalItems, itemsPerPage: itemsPerPage }"></jhi-item-count>
      </div>

      <div class="d-flex justify-content-center">
        <ngb-pagination
          [collectionSize]="totalItems"
          [page]="page"
          [pageSize]="itemsPerPage"
          [maxSize]="5"
          [rotate]="true"
          [boundaryLinks]="true"
          (pageChange)="navigateToPage($event)"
        ></ngb-pagination>
      </div>
    </div>
  }
</div>
